Skip to main content
GET
/
guest-connections
Get guest connections
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/guest-connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "items": [
    {
      "host_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "guest_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "connected",
      "guest_name": "<string>",
      "guest_email": "jsmith@example.com",
      "owner_email": "jsmith@example.com",
      "archived": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "total_score": 87.5,
      "score_updated_at": "2025-12-12T10:30:00.123456",
      "archived_at": "2025-12-12T10:30:00.123456",
      "active_action_type": "analytics_request",
      "active_action_updated_at": "2025-12-12T10:30:00.123456",
      "parent_organization_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
      "parent_organization_name": "Example Parent Corp"
    }
  ],
  "total_items": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

statuses
enum<string>[]
required

Filter guest connections by their statuses

Minimum array length: 1
Available options:
connected,
disconnected
search_field
enum<string>
default:guest_name

Field to search by when providing search_text.

Available options:
guest_name,
guest_email,
owner_email
search_text
string | null

Text to search for in the selected search_field.

Required string length: 1 - 255
Example:

"Example Corp"

order_by
enum<string>
default:guest_name

Field to sort the results by

Available options:
guest_name,
guest_email,
owner_email,
total_score,
score_updated_at,
created_at,
updated_at,
archived_at,
active_action_updated_at
active_action_types
enum<string>[] | null

Filter results by active action types

Minimum array length: 1
Available options:
analytics_request
order_dir
enum<string>
default:asc

Sort direction for the order_by field

Available options:
asc,
desc
archived
boolean | null

Filter by archived status

limit
integer
required

Maximum number of results to return

Required range: x <= 100
Examples:

10

20

30

offset
integer
required

Number of items to skip before returning results (for pagination)

Required range: x >= 0
Examples:

0

50

75

Response

Successful Response

items
GuestConnection · object[]
required

List of guest connections returned by the query

total_items
integer
required

Total number of guest connections matching the query

Required range: x >= 0
Examples:

0

25

100